Commit 1019f0de authored by Alan Hourihane's avatar Alan Hourihane

only use -Werror flags with gcc 4.2.x and 4.3.x.

could use a better test here though.
parent cec0e7c0
......@@ -268,16 +268,22 @@ def generate(env):
ccflags += [
'-Wall',
'-Wmissing-field-initializers',
'-Werror=pointer-arith',
'-Wno-long-long',
'-ffast-math',
'-fmessage-length=0', # be nice to Eclipse
]
cflags += [
'-Werror=declaration-after-statement',
'-Wmissing-prototypes',
'-std=gnu99',
]
if env['CCVERSION'].startswith('4.2.') or
env['CCVERSION'].startswith('4.3.'):
ccflags += [
'-Werror=pointer-arith',
]
cflags += [
'-Werror=declaration-after-statement',
]
if msvc:
# See also:
# - http://msdn.microsoft.com/en-us/library/19z1t1wy.aspx
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment